> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update datasource notification settings for the current company



## OpenAPI

````yaml /api-reference/openapi/datasources-api.json put /settings
openapi: 3.0.0
info:
  title: datasources-api
  version: 0.0.0
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 409 |  |
servers:
  - url: https://api.reelevant.com/v2/datasources/
    description: production
security: []
paths:
  /settings:
    put:
      tags:
        - Datasource
      summary: Update datasource notification settings for the current company
      operationId: update-datasource-settings
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                notifications:
                  type: object
                  properties:
                    onErrorRecipients:
                      type: array
                      items:
                        type: string
                  required:
                    - onErrorRecipients
                  additionalProperties: false
              required:
                - notifications
              additionalProperties: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: '#/components/schemas/InternalResponse_DatasourceSettings'
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_DatasourceSettings:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/DatasourceSettings'
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    DatasourceSettings:
      type: object
      properties:
        companyId:
          $ref: '#/components/schemas/ObjectId'
        notifications:
          $ref: '#/components/schemas/DatasourceSettingsNotifications'
      required:
        - companyId
        - notifications
      additionalProperties: false
    ObjectId:
      type: string
    DatasourceSettingsNotifications:
      type: object
      properties:
        onErrorRecipients:
          type: array
          items:
            type: string
      required:
        - onErrorRecipients
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````